## com.sun.jersey.spi.monitoring
Interface ResponseListenerAdapter

    public interface ResponseListenerAdapter

Author:
  Jakub.Podlesak@Oracle.Com, Marek Potociar (marek.potociar at oracle.com)

Method Summary
`ResponseListener` | `adapt(ResponseListener responseListener)` Adapt a `ResponseListener`.

Method Detail

### adapt

    ResponseListener adapt(ResponseListener responseListener)

  Adapt a `ResponseListener`. Returned `ResponseListener` is responsible and MUST call corresponding methods from the other provided in method parameter.

  Parameters:
    `responseListener` - the listener to adapt.
  Returns:
    the adapted listener.

Copyright © 2017 Oracle Corporation. All Rights Reserved.